## mason 0.2.6

=== DESCRIPTION ===
Package: mason
Type: Package
Title: Build Data Structures for Common Statistical Analysis
Version: 0.2.6
Authors@R: person("Luke", "Johnston", email = "lwjohnst@gmail.com",
    role = c("aut", "cre"))
Description: Use a consistent syntax to create data structures of common
    statistical techniques that can be continued in a pipe chain.
    Design the analysis, add settings and variables, construct the results, and
    polish the final structure. Rinse and repeat for any number of statistical
    techniques.
License: MIT + file LICENSE
LazyData: TRUE
Depends: R (>= 3.4.0)
Imports: dplyr, tidyr, broom, magrittr, stats, utils, lazyeval
RoxygenNote: 6.0.1
Suggests: knitr, geepack, pls, rmarkdown, testthat, MASS, covr
VignetteBuilder: knitr
BugReports: https://github.com/lwjohnst86/mason/issues
URL: https://github.com/lwjohnst86/mason
NeedsCompilation: no
Packaged: 2018-07-05 11:58:41 UTC; luke
Author: Luke Johnston [aut, cre]
Maintainer: Luke Johnston <lwjohnst@gmail.com>
Repository: CRAN
Date/Publication: 2018-07-05 12:20:02 UTC
