## mason 0.3.0

=== DESCRIPTION ===
Type: Package
Package: mason
Title: Build Data Structures for Common Statistical Analysis
Version: 0.3.0
Authors@R: 
    person(given = "Luke",
           family = "Johnston",
           role = c("aut", "cre"),
           email = "lwjohnst@gmail.com",
           comment = c(ORCID = "0000-0003-4169-2616"))
Description: Use a consistent syntax to create data structures
    of common statistical techniques that can be continued in a pipe
    chain.  Design the analysis, add settings and variables, construct the
    results, and polish the final structure. Rinse and repeat for any
    number of statistical techniques.
License: MIT + file LICENSE
URL: https://github.com/lwjohnst86/mason
BugReports: https://github.com/lwjohnst86/mason/issues
Depends: R (>= 3.6.0)
Imports: broom, dplyr, magrittr, purrr, rlang, stats, tibble, tidyr,
        tidyselect, utils
Suggests: covr, geepack, knitr, MASS, pls, rmarkdown, roxygen2,
        testthat
VignetteBuilder: knitr
Encoding: UTF-8
LazyData: TRUE
RoxygenNote: 7.1.0
NeedsCompilation: no
Packaged: 2020-06-04 15:28:55 UTC; luke
Author: Luke Johnston [aut, cre] (<https://orcid.org/0000-0003-4169-2616>)
Maintainer: Luke Johnston <lwjohnst@gmail.com>
Repository: CRAN
Date/Publication: 2020-06-04 16:10:05 UTC
