## mason 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #
 #Copyleft:
 #    Mason interactively creates a Linux packet filtering firewall.
-#    Copyright (C) 1998 William Stearns <wstearns@pobox.com>
+#    Copyright (C) 1998-2000 William Stearns <wstearns@pobox.com>
 #
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -23,27 +23,25 @@
 #        William Stearns
 #email:  wstearns@pobox.com              (preferred)
 #web:    http://www.pobox.com/~wstearns
-#snail:  544 Winchester Place
-#        Colchester VT, 05446, USA
+#snail:  6 Manchester Dr.
+#        Lebanon NH, 03766, USA
 #
 
 # Modified for Debian GNU/Linux.
-#Jeff - can we set this in the call to make (for example,  make DESTDIR=`pwd`/debian/tmp install )?
-#DESTDIR = $(shell pwd)/debian/tmp
-#DESTDIR =
+DESTDIR =
 
 ##Make sure mason has MASONVER updated when this changes
-MASONVER = 0.13.0.92
+MASONVER = 1.0.0
 
 #No quotes around multi file specs.
 BINDIR=$(DESTDIR)/usr/bin/
-BINFILES=mason mason-gui-text
+BINFILES=mason mason-gui-text mason-decide
 CONFDIR=$(DESTDIR)/etc/
 CONFFILE=masonrc
 LIBDIR=$(DESTDIR)/var/lib/mason/
-LIBFILES=masonlib baserules.sample moreservices nmap-services regression-test
+LIBFILES=masonlib baserules.sample graffiti-services moreservices nmap-services portsdb-services regression-test all-ip-numbers.txt
 DOCDIR=$(DESTDIR)/usr/doc/mason-${MASONVER}/
-DOCFILES=COPYING index.html mason.sgml mason.txt mason.html mason-1.html mason-2.html mason-3.html mason-4.html mason-5.html mason-6.html mason-7.html mason-8.html mason-9.html mason-10.html mason-11.html toc.gif prev.gif next.gif
+DOCFILES=COPYING index.html mason.sgml mason.txt mason.html mason-1.html mason-2.html mason-3.html mason-4.html mason-5.html mason-6.html mason-7.html mason-8.html mason-9.html mason-10.html mason-11.html toc.gif prev.gif next.gif mason-banner.gif
 #DOCDIR=$(DESTDIR)/usr/doc/mason/
 #DOCFILES=index.html mason.sgml mason.txt mason.html mason-1.html mason-2.html mason-3.html mason-4.html mason-5.html mason-6.html mason-7.html mason-8.html mason-9.html mason-10.html mason-11.html toc.gif prev.gif next.gif
 MANDIR=$(DESTDIR)/usr/man/man1/
@@ -53,7 +51,7 @@
 # SYSVDIR=/etc/rc.d/init.d/
 # SYSVFILES=firewall
 
-install: docs
+install:
 	@echo -n "Installing files... "
 	@echo -n "${BINFILES}... "
 	@install -o root -g root -m 0755 ${BINFILES} ${BINDIR}
@@ -94,9 +92,18 @@
 	&& sgml2txt -f mason.sgml \
 	&& makedoc mason.txt mason.pdb 'The Mason HOWTO'
 
-distribs: docs
+regress:
+	@if ./regression-test ; then \
+	echo Regression test succeeded. ; \
+	else \
+	echo Regression test failed, exiting. ; \
+	exit 1 ; \
+	fi
+
+distribs: regress docs
 	@echo This should only need to be used by the author in 
 	@echo packing up the mason package.
+	@cat /etc/services | grep -v PRIVATE >moreservices
 	cd .. \
 	&& tar cf - mason-${MASONVER}/ | \
 	gzip -9 > mason-${MASONVER}.tar.gz \
@@ -107,8 +114,11 @@
 	&& cp mason-${MASONVER}.tar.gz /usr/src/redhat/SOURCES/ \
 	&& cd mason-${MASONVER} \
 	&& cp -f redhat/mason.spec /usr/src/redhat/SPECS/ \
-	&& rpm --sign --target noarch -ba /usr/src/redhat/SPECS/mason.spec \
+	&& rpm --sign -ba /usr/src/redhat/SPECS/mason.spec \
 	&& mv -f /usr/src/mason-*.tar.gz /usr/src/mysource/ \
 	&& mv -f /usr/src/redhat/RPMS/noarch/mason-*.noarch.rpm /usr/src/mysource/ \
 	&& mv -f /usr/src/redhat/SRPMS/mason-*.src.rpm /usr/src/mysource/
 
+mini-install:
+	cp -pf mason mason-decide mason-gui-text /usr/bin ; cp -pf masonlib baserules.sample /var/lib/mason
+
