=== debian/changelog ===
mason (1.0.0-13) unstable; urgency=medium

  * QA upload.
  * Turn the patches into a quilt patch, and set source format to 3.0 (quilt).
  * Orphan the package.  See: #910668
  * Bump debhelper compat level to 11.
  * Rewrite d/rules using the dh sequencer.
  * Bump Standards-Version to 4.2.1:
    + Change Priority from extra (deprecated) to optional.
    + Set Rules-Requires-Root:binary-targets (the Makefile wants to chown to
      root, which would fail otherwise).

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 10 Oct 2018 14:52:45 +0200

mason (1.0.0-12.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove Thomas Scheffczyk from Maintainer and promote Christoph Martin in
    his place.  Thanks for all your previous work!  Closes: #898145
  * Updated Debconf translations:
    + Japanese (by victory <victory.deb@gmail.com>).  Closes: #693058
    + Norwegian Bokmål: fix charset encoding.  Closes: #691970

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 24 Sep 2018 11:35:01 +0200

mason (1.0.0-12.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "modifies conffiles (policy 10.7.3): /etc/masonrc"
    follow debconf-devel(7):
    - install masonrc to /usr/share/mason instead of /etc
    - config: read values from file and put them into debconf db
    - postinst/configure: replace values in file with values from debconf
    - postrm/purge: remove file
    (Closes: #687944)
  * Additional changes:
    - remove broken (as in: triggers ftp-master auto-reject) lintian-override
    - empty (but don't remove, it's in the .orig.tar.gz) useless
      debian/conffiles
  * Debconf translations:
    - Brazilian Portuguese: update (Flamarion Jorge). Closes: #605289
    - Dutch: update (Jeroen Schot). Closes: #658859
    - Danish, Swedish, Norwegian Bokmål: fix encoding.
    - Drop almost empty no.po, as recommended by po2debconf.

 -- gregor herrmann <gregoa@debian.org>  Mon, 01 Oct 2012 20:47:17 +0200

mason (1.0.0-12.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Omar Campagne).  Closes: #589495
    - Italian (Vincenzo Campanella).  Closes: #600439
    - Spanish (Omar Campagne).  Closes: #600535
    - Finnish (Esko Arajärvi).  Closes: #600635

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Oct 2010 07:23:41 +0200

mason (1.0.0-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Split Choices in templates
  * Drop /etc files from conffiles
  * Don't hardcode path in calls to "rm" in postrm
  * Fix pending l10n issues. Debconf translations:
    - Vietnamese (Clytie Siddall).  Closes: #578895
    - Russian (Yuri Kozlov).  Closes: #578919
    - Swedish (Martin Bagge).  Closes: #579300
    - Basque (Iñaki Larrañaga Murgoitio).  Closes: #579720
    - German (Martin Eberhard Schauer).  Closes: #580011
    - Czech (Miroslav Kure).  Closes: #580182
    - French (Steve Petruzzello).  Closes: #583080
    - Simplified Chinese (YunQiang Su).  Closes: #586631
    - Danish (Joe Hansen).  Closes: #586710
    - Galician (Jacobo Tarrio).  Closes: #587308
    - Portuguese (Américo Monteiro).  Closes: #587374

 -- Christian Perrier <bubulle@debian.org>  Mon, 28 Jun 2010 07:38:42 +0200

mason (1.0.0-12) unstable; urgency=low

  * Dependency on local filesystems added
  * Prepended paths in postrm script removed
  * Dependency on ${misc:Depends} added
  * Questions in the debconf template removed
  * Added warning when an IPv6 interface is found, because mason can
    filter IPv4 packets only.

 -- Thomas Scheffczyk <thomas.scheffczyk@uni-mainz.de>  Fri, 23 Apr 2010 10:59:16 +0200

mason (1.0.0-11) unstable; urgency=low

  * Minor changes to fix warnings reported by lintian for version 1.0.0-10
  * Change the order of preferred editors to avoid problems reported with
  mcedit, the prior standard. Preferred editor if installed is now emacs,
  followed by vi and nano.
  * New option for mason-gui-text: When started with the option "--force"
  it will try to stop other instances of itself instead of exiting.

 -- Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>  Fri, 27 Jun 2008 10:28:23 +0200

mason (1.0.0-10) unstable; urgency=low

  * Added finnish debconf template translation. (Thanks to Esko Arajaervi)
  (closes: #473372)
  * Added galician debconf template translation. (Thanks to Jacobo Tarrio)
  (closes: #473502)
  * Added russian debconf template translation. (Thanks to Yuri Kozlov)
  (closes: #473790)
  * Added basque debconf template translation. (Thanks to Piarres Beobide)
  (closes: #473968)
  * Added turkish debconf template translation. (Thanks to Mert Dirik)
  (closes: #486566)
  * New functionality: mason can now restart services after resetting the
  iptables rules. (Necessary for services that manipulate or add own
  iptables rules, e.g. fail2ban)
  * Added documentation for additional properties of the debian version
  of mason (see masonrc)
  * Moved not interactively usable script mason-decide from /usr/bin to
  /var/lib/mason
  * Minor changes to fix warnings reported by lintian for version 1.0.0-9
  * Changed Standards-Version from 3.7.3 to 3.8.0; no changes required.

 -- Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>  Mon, 23 Jun 2008 14:05:09 +0200

mason (1.0.0-9) unstable; urgency=low

  * Added spanish debconf template translation. (Thanks to Maria Germana Oliveira)
    (closes: #469341)
  * Fixed a small typo in the spanish translation (Thanks to Alvaro Herrera)
  * Changed behaviour: When mason is purged, the init.d link will be removed now, too
  * Added the '-n' switch to the call of 'iptables -L' when flushing chains
    to avoid DNS calls when merely checking for the exisitence of a chain.
  * Changed Standards-Version from 3.7.2 to 3.7.3; no changes required.

 -- Thomas Scheffczyk <thomas.scheffczyk@verwaltung.uni-mainz.de>  Tue, 25 Mar 2008 12:29:34 +0100

mason (1.0.0-8) unstable; urgency=low


