=== debian/control ===
Source: mason
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.2.1
Rules-Requires-Root: binary-targets
Build-Depends: debhelper-compat (= 11), po-debconf

Package: mason
Architecture: all
Depends: bash (>= 2.04-1), debconf (>= 1.2.0) | debconf-2.0, ${misc:Depends}
Description: Interactively creates a Linux packet filtering firewall
 Mason creates a firewall that exactly matches the types of
 TCP/IP traffic flowing in, out and through a Linux computer.
 It can be used to create a full firewall or add rules to an
 existing firewall.
