=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	: nothing to do

override_dh_auto_install:
	# Make directories
	mkdir -p debian/mason/usr/bin
	mkdir -p debian/mason/usr/share/man/man1
	mkdir -p debian/mason/etc/init.d
	mkdir -p debian/mason/etc/mason.d/restart.d
	mkdir -p debian/mason/var/log/mason
	mkdir -p debian/mason/usr/share/mason

	dh_auto_install -- \
		DOCDIR=`pwd`/debian/mason/usr/share/doc/mason/ \
		MANDIR=`pwd`/debian/mason/usr/share/man/man1/ \
		SYSVDIR=`pwd`/debian/mason/etc/init.d/

	# Miscellaneous cleanup
	mv debian/mason/etc/init.d/firewall debian/mason/etc/init.d/mason
	rm debian/mason/usr/share/doc/mason/COPYING
	chmod +x debian/mason/var/lib/mason/regression-test
	mv debian/mason/var/lib/mason/baserules debian/mason/etc/mason.baserules
	ln -sf /etc/mason.baserules debian/mason/var/lib/mason/baserules
	mv debian/mason/etc/masonrc debian/mason/usr/share/mason/
