=== debian/watch ===
version=3
# -------------------------------------------------
# watch control file for mason
# -------------------------------------------------
# The upstream version of mason is not actively 
# maintained. All changes since 2002 were made 
# in the debian version of mason, only.
# This file was created to satisfy the debian
# policy (4.11)
# -------------------------------------------------
# http://www.stearns.org/mason/mason-(.*)\.tar\.gz
