## mason dask-0.1.3

=== requirements.txt ===
dask==2.22.0
dask-kubernetes==0.10.1
distributed==2.22.0
fsspec>=0.8.0
pandas>=1.0.2
pyexcelerate==0.9.0
